<?php
/**
* Noting Found Page Settings.
*
* @package Electronic Storefront
*/

$electronics_storefront_default = electronics_storefront_get_default_theme_options();

$wp_customize->add_section( 'electronics_storefront_noting_found_page_settings',
    array(
        'title'      => esc_html__( 'Nothing Found Page Settings', 'electronics-storefront' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'electronics_storefront_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'electronics_storefront_noting_found_main_title',
    array(
        'default'           => 'Nothing Found',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'electronics_storefront_noting_found_main_title',
    array(
        'label'    => esc_html__( 'Main Title', 'electronics-storefront' ),
        'section'  => 'electronics_storefront_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'electronics_storefront_noting_found_para',
    array(
        'default'           => 'Sorry, but nothing matched your search terms. Please try again with some different keywords.',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'electronics_storefront_noting_found_para',
    array(
        'label'    => esc_html__( 'Para Text', 'electronics-storefront' ),
        'section'  => 'electronics_storefront_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting('electronics_storefront_noting_found_saerch',
    array(
        'default' => 1,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'electronics_storefront_sanitize_checkbox',
    )
);
$wp_customize->add_control('electronics_storefront_noting_found_saerch',
    array(
        'label' => esc_html__('Enable/Disable Search', 'electronics-storefront'),
        'section' => 'electronics_storefront_noting_found_page_settings',
        'type' => 'checkbox',
    )
);